Summary:	A generic IMAP server compliancy tester
Name:		imaptest
# Upstream is not really planning on adding version numbers
Version:	20151005
Release:	1%{?dist}
License:	MIT
Group:		Applications/Internet
URL:		https://www.imapwiki.org/ImapTest
# https://dovecot.org/nightly/%{name}/%{name}-%{version}.tar.gz is meant for
# dovecot >= 2.3 meanwhile, which is too new for dovecot in RHEL/CentOS 7.
#
# When generating tarball package from upstream git:
# - git clone https://github.com/dovecot/imaptest.git
# - cd imaptest; git checkout core-2.2; git checkout; git checkout 9636287
# - Use the visible date of latest git log entry for %{version} in spec file
# - git log > ChangeLog; rm -rf .git; cd ..; mv imaptest imaptest-20151005
# - tar cfz imaptest-20151005.tar.gz imaptest-20151005
Source0:	%{name}-%{version}.tar.gz
Patch0:		imaptest-20141029-revert-97db22c.patch
BuildRequires:	dovecot-devel >= 2.2
BuildRequires:	autoconf, automake, libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ImapTest is a generic IMAP server compliancy tester that works with all IMAP
servers. It supports stress testing with state tracking, scripted testing and
benchmarking. When stress testing with state tracking ImapTest sends random
commands to the server and verifies that server's output looks correct. Using
the scripted testing ImapTest runs a list of predefined scripted tests and
verifies that server returns expected output.

Examples and details are provided online at: http://www.imapwiki.org/ImapTest

%prep
%setup -q
%patch0 -p1 -b .revert-97db22c
autoreconf -i

# Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=1103927#c4 (and later)
sed -e 's@\(^LIBDOVECOT .*\)@\1 -Wl,-rpath -Wl,%{_libdir}/dovecot@' -i src/Makefile.in

%build
%configure --with-dovecot=%{_libdir}/dovecot
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Copy test files for later shipping
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -pr src/tests/ $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING COPYING.MIT
%doc AUTHORS ChangeLog profile.conf pop3-profile.conf
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Sun Aug 06 2017 Robert Scheck <robert@fedoraproject.org> 20151005-1
- Upgrade to 20151005

* Wed Jul 23 2014 Robert Scheck <robert@fedoraproject.org> 20140711-1
- Upgrade to 20140711

* Fri Jun 20 2014 Robert Scheck <robert@fedoraproject.org> 20140528-2
- Added workaround for missing rpath linking (#1103927 #c4)

* Tue Jun 03 2014 Robert Scheck <robert@fedoraproject.org> 20140528-1
- Upgrade to 20140528
- Initial spec file for Fedora and Red Hat Enterprise Linux
